Bug 540986 - Review Request: logback - A Java logging library
Review Request: logback - A Java logging library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On: 530986 542730 543081 543092 543480
Blocks: 540984
  Show dependency treegraph
 
Reported: 2009-11-24 11:25 EST by Mary Ellen Foster
Modified: 2010-07-28 02:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-28 02:56:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
akurtako: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-11-24 11:25:02 EST
Spec URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/logback.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/logback-0.9.17-1.fc12.src.rpm

Description:
Logback is intended as a successor to the popular log4j project. At present
time, logback is divided into three modules, logback-core, logback-classic
and logback-access.

The logback-core module lays the groundwork for the other two modules. The
logback-classic module can be assimilated to a significantly improved
version of log4j. Moreover, logback-classic natively implements the SLF4J
API so that you can readily switch back and forth between logback and other
logging frameworks such as log4j or java.util.logging (JUL).

The logback-access module integrates with Servlet containers, such as
Tomcat and Jetty, to provide HTTP-access log functionality. Note that you
could easily build your own module on top of logback-core.

**NOTE** This package depends on janino, which is currently (24/11/2009) approved but awaiting package creation
Comment 1 Alexander Kurtakov 2009-11-30 10:24:32 EST
Few questions:
* What is the maven problem that caused the need to use build.xml from debian? Please open a bug report against maven for that.
* Is updating javamail out of question? Sounds like a way better option than patching out methods.With this patch we will be using text/plain mime type always which will break HTMLLayout of the the smtp appender.
Comment 2 Mary Ellen Foster 2009-11-30 11:47:22 EST
Good point about Maven -- I originally  this package before I understood Maven very well. I was kind of scared of the (apparently optional) requirement for geronimo-jms in a couple of the POMs because geronimo-specs frankly scares me.

The issue with javamail is: Fedora currently has classpathx-javamail, which has only ever implemented the 1.3 spec as far as I can tell (http://www.gnu.org/software/classpathx/javamail/javamail.html). I don't think there's currently a 1.4 implementation packaged for Fedora, so that would be a completely new package (see http://java.sun.com/products/javamail/FAQ.html#source). I guess I was feeling lazy, but I guess I really should address that. :)
Comment 3 Mary Ellen Foster 2009-12-02 09:06:09 EST
Okay, here's a new version that uses Maven to build and makes use of the Javamail 1.4 classes. Unfortunately, this produces a few more dependencies ...

Spec URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/logback.spec
SRPM URL:
http://www.macs.hw.ac.uk/~mef3/soprano-sesame/logback-0.9.17-2.fc12.src.rpm
Comment 4 Fedora Update System 2010-01-06 10:59:19 EST
jakarta-commons-fileupload-1.2.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jakarta-commons-fileupload-1.2.1-1.fc12
Comment 5 Mary Ellen Foster 2010-01-06 11:02:26 EST
Oops ...
Comment 6 Mary Ellen Foster 2010-01-06 11:59:05 EST
I've added a workaround to the spec file to add the necessary build information for the geronimo-specs package, so this package is no longer blocked by the geronimo-specs update.
Comment 7 Alexander Kurtakov 2010-01-11 07:44:58 EST
I'm taking this one.
Before actually reviewing do you plan to update to 0.9.18? It is now dual licenced EPL and LGPL and for me this is a good-enough reason to want to see proper package reviewed.
Comment 8 Alexander Kurtakov 2010-01-11 07:46:16 EST
One more thing gcj_support is unneccessary - the only effect is to make a noarch package an arch one.
Comment 9 Mary Ellen Foster 2010-01-11 09:30:25 EST
Updated to logback-0.9.18. Changes (besides the version update):
- Include new license tag
- Add all referenced dependencies to the Requires list
- Specify which bits of tomcat are actually used, instead of requiring
  all of it

Note that I built javamail today for F-12 and rawhide, so hopefully it will be available in buildroots soon ...
Comment 10 Mary Ellen Foster 2010-01-11 10:12:20 EST
NB: I've just added the Maven metadata to hsqldb, so this now needs to wait on 543092 (will push to testing shortly)
Comment 11 Alexander Kurtakov 2010-01-12 04:38:34 EST
The package is missing all the Maven BRs. Please fix the package so I can build it locally for the formal review.
Comment 13 Alexander Kurtakov 2010-01-12 10:21:47 EST
Review:
OK: rpmlint must be run on every package. Output:
logback.spec:208: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name} -- false positive
logback.src:208: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name} -- false positive
logback.i686: E: explicit-lib-dependency tomcat5-server-lib --false positive
logback-examples.noarch: W: no-documentation -- not a problem examples are usually without documentation

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.[11]
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content.
OK: Large documentation files must go in a -doc subpackage. Javadoc subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of the application. 
OK: Packages must not own files or directories already owned by other packages. OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK: All filenames in rpm packages must be valid UTF-8. 

This package is APPROVED.
Comment 14 Mary Ellen Foster 2010-01-12 10:36:17 EST
New Package CVS Request
=======================
Package Name: logback
Short Description: A Java logging library
Owners: mef
Branches: F-12
Comment 15 Jason Tibbitts 2010-01-12 22:10:52 EST
CVS done (by process-cvs-requests.py)
Comment 16 Fedora Update System 2010-01-21 09:58:31 EST
logback-0.9.18-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/logback-0.9.18-3.fc12
Comment 17 Fedora Update System 2010-01-22 17:38:29 EST
logback-0.9.18-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update logback'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0931
Comment 18 Alexander Kurtakov 2010-05-18 14:04:32 EDT
Time to close this one??
Comment 19 Alexander Kurtakov 2010-07-28 02:56:11 EDT
No response for more than 2 months and the package is in rawhide since 2010-01-14.
Closing.

Note You need to log in before you can comment on or make changes to this bug.